import ref from '@eleccookie/ref-napi';
import ffi from '@eleccookie/ffi-napi';
export declare const libcompiler: {
    create_new_move_package: ffi.ForeignFunction<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>, [ref.Pointer<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>>, import("ref-struct-di").StructObject<{
        is_nil: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
    }>, import("ref-struct-di").StructObject<{
        is_nil: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
    }>, import("ref-struct-di").StructObject<{
        is_nil: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
    }>, boolean]>;
    clean_move_package: ffi.ForeignFunction<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>, [ref.Pointer<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>>, import("ref-struct-di").StructObject<{
        is_nil: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
    }>, boolean, boolean, boolean]>;
    build_move_package: ffi.ForeignFunction<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>, [ref.Pointer<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>>, import("ref-struct-di").StructObject<{
        is_nil: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
    }>]>;
    test_move_package: ffi.ForeignFunction<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>, [ref.Pointer<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>>, import("ref-struct-di").StructObject<{
        is_nil: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
    }>, import("ref-struct-di").StructObject<{
        is_nil: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
    }>]>;
};
export declare const libmovevm: {
    read_module_info: ffi.ForeignFunction<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>, [ref.Pointer<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>>, import("ref-struct-di").StructObject<{
        is_nil: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
    }>]>;
    stringify_struct_tag: ffi.ForeignFunction<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>, [ref.Pointer<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>>, import("ref-struct-di").StructObject<{
        is_nil: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
    }>]>;
    parse_struct_tag: ffi.ForeignFunction<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>, [ref.Pointer<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>>, import("ref-struct-di").StructObject<{
        is_nil: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
    }>]>;
    decode_module_bytes: ffi.ForeignFunction<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>, [ref.Pointer<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>>, import("ref-struct-di").StructObject<{
        is_nil: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
    }>]>;
    decode_script_bytes: ffi.ForeignFunction<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>, [ref.Pointer<import("ref-struct-di").StructObject<{
        is_none: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
        cap: string | number;
    }>>, import("ref-struct-di").StructObject<{
        is_nil: boolean;
        ptr: ref.Pointer<string | null>;
        len: string | number;
    }>]>;
};
